Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.lagcompanion

polynomial.laguerre.lagcompanion(c)

  Return the companion matrix of c.

  The usual companion matrix of the Laguerre polynomials is already symmetric when c is a basis Laguerre polynomial, so no scaling is applied.

  Parameters:
    c array_like

      1-D array of Laguerre series coefficients ordered from low to high degree.

  Returns:
    mat ndarray

      Companion matrix of dimensions (deg, deg).

  Examples

      >>> from numpy.polynomial.laguerre import lagcompanion
      >>> lagcompanion([1, 2, 3])
      array([[ 1.        , -0.33333333],
             [-1.        ,  4.33333333]])